=== debian/changelog ===
ros-noetic-mcl-3dl (0.6.1-1buster) buster; urgency=high

  * Update assets to v0.4.1 (#400 <https://github.com/at-wat/mcl_3dl/issues/400>)
  * Support PCL 1.11 and later (#397 <https://github.com/at-wat/mcl_3dl/issues/397>)
  * Update assets to v0.4.0 (#395 <https://github.com/at-wat/mcl_3dl/issues/395>)
  * Update assets to v0.3.4 (#392 <https://github.com/at-wat/mcl_3dl/issues/392>)
  * Remove old workarounds for PCL<1.8 (#389 <https://github.com/at-wat/mcl_3dl/issues/389>)
  * Update assets to v0.3.3 (#388 <https://github.com/at-wat/mcl_3dl/issues/388>)
  * Update assets to v0.3.2 (#387 <https://github.com/at-wat/mcl_3dl/issues/387>)
  * Update code format (#386 <https://github.com/at-wat/mcl_3dl/issues/386>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 04 Jan 2023 00:00:00 -0000

ros-noetic-mcl-3dl (0.6.0-1buster) buster; urgency=high

  * Add option to load cloud through "load_pcd" service (#381 <https://github.com/at-wat/mcl_3dl/issues/381>)
  * Update assets to v0.3.1 (#382 <https://github.com/at-wat/mcl_3dl/issues/382>)
  * Update assets to v0.3.0 (#380 <https://github.com/at-wat/mcl_3dl/issues/380>)
  * Update assets to v0.2.0 (#379 <https://github.com/at-wat/mcl_3dl/issues/379>)
  * Contributors: Atsushi Watanabe, Remco

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 12 May 2021 00:00:00 -0000

ros-noetic-mcl-3dl (0.5.4-1buster) buster; urgency=high

  * Add odom/imu/cloud_queue_size params (#375 <https://github.com/at-wat/mcl_3dl/issues/375>)
  * Fix flaky tests (#376 <https://github.com/at-wat/mcl_3dl/issues/376>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Sun, 07 Mar 2021 00:00:00 -0000

ros-noetic-mcl-3dl (0.5.3-1buster) buster; urgency=high

  * Fix cloud accum reset on map update (#371 <https://github.com/at-wat/mcl_3dl/issues/371>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Fri, 26 Feb 2021 00:00:00 -0000

ros-noetic-mcl-3dl (0.5.2-1buster) buster; urgency=high

  * Fix potential "Time is out of dual 32-bit range" error (#367 <https://github.com/at-wat/mcl_3dl/issues/367>)
  * Update assets to v0.1.4 (#365 <https://github.com/at-wat/mcl_3dl/issues/365>)
  * Improve test stability (#363 <https://github.com/at-wat/mcl_3dl/issues/363>)
  * Update assets to v0.1.3 (#362 <https://github.com/at-wat/mcl_3dl/issues/362>)
  * Update assets to v0.1.2 (#361 <https://github.com/at-wat/mcl_3dl/issues/361>)
  * Migrate to GitHub Actions (#357 <https://github.com/at-wat/mcl_3dl/issues/357>)
  * Update assets to v0.0.10 (#356 <https://github.com/at-wat/mcl_3dl/issues/356>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Fri, 15 Jan 2021 00:00:00 -0000

ros-noetic-mcl-3dl (0.5.1-1buster) buster; urgency=high

  * Make hit_range independent from grid size and fix DDA hit/miss state (#350 <https://github.com/at-wat/mcl_3dl/issues/350>)
  * Fix crushing when lidar poses are out of map (#351 <https://github.com/at-wat/mcl_3dl/issues/351>)
  * Contributors: Atsushi Watanabe, Naotaka Hatao

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Mon, 26 Oct 2020 00:00:00 -0000

ros-noetic-mcl-3dl (0.5.0-1buster) buster; urgency=high

  * Fix crushing when new map is received (#347 <https://github.com/at-wat/mcl_3dl/issues/347>)
  * Ease condition for test of PointCloudSamplerWithNormal (#344 <https://github.com/at-wat/mcl_3dl/issues/344>)
  * Add faster raycast algorithm using DDA (#343 <https://github.com/at-wat/mcl_3dl/issues/343>)
  * Contributors: Naotaka Hatao

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 15 Oct 2020 00:00:00 -0000

ros-noetic-mcl-3dl (0.4.0-1buster) buster; urgency=high

  * Fix typos of license (#340 <https://github.com/at-wat/mcl_3dl/issues/340>)
  * Add PointCloudSamplerWithNormal (#339 <https://github.com/at-wat/mcl_3dl/issues/339>)
  * Contributors: Naotaka Hatao

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 07 Oct 2020 00:00:00 -0000

ros-noetic-mcl-3dl (0.3.0-1buster) buster; urgency=high

  * Switch beam model by map label field (#334 <https://github.com/at-wat/mcl_3dl/issues/334>)
  * Update test script for latest catkin (#333 <https://github.com/at-wat/mcl_3dl/issues/333>)
  * Remove references to sensor_msgs::PointCloud (#332 <https://github.com/at-wat/mcl_3dl/issues/332>)
  * Update assets to v0.0.9 (#331 <https://github.com/at-wat/mcl_3dl/issues/331>)
  * Improve expansion resetting/global localization test stability (#330 <https://github.com/at-wat/mcl_3dl/issues/330>)
  * Fix global localization test parameter (#328 <https://github.com/at-wat/mcl_3dl/issues/328>)
  * Avoid rate limit when fetching gh-ph-comment (#329 <https://github.com/at-wat/mcl_3dl/issues/329>)
  * Update gh-pr-comment (#327 <https://github.com/at-wat/mcl_3dl/issues/327>)
  * Retry codecov script download (#326 <https://github.com/at-wat/mcl_3dl/issues/326>)
  * Improve test coverage (#325 <https://github.com/at-wat/mcl_3dl/issues/325>)
  * Merge rostest coverage profiles (#324 <https://github.com/at-wat/mcl_3dl/issues/324>)
  * Contributors: Atsushi Watanabe, f-fl0

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Mon, 07 Sep 2020 00:00:00 -0000

ros-noetic-mcl-3dl (0.2.5-1buster) buster; urgency=high

  * Add validation for orientation of initial pose (#317 <https://github.com/at-wat/mcl_3dl/issues/317>)
  * Update CI scripts (#318 <https://github.com/at-wat/mcl_3dl/issues/318>)
  * Contributors: Atsushi Watanabe, Yuta Koga

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 27 May 2020 00:00:00 -0000

ros-noetic-mcl-3dl (0.2.4-1buster) buster; urgency=high

  * Fix resampling failure of last particle (#313 <https://github.com/at-wat/mcl_3dl/issues/313>)
  * Retry gpg keyserver on prerelease test (#312 <https://github.com/at-wat/mcl_3dl/issues/312>)
  * Add filter class for Vec3 (#311 <https://github.com/at-wat/mcl_3dl/issues/311>)
  * Refactor math functions (#310 <https://github.com/at-wat/mcl_3dl/issues/310>)

